import system from "@/core/models/system";
export default {
    namespaced: true,
    state: {
        currentCateId: 0,
        currentOrderTabIndex: 0,
        platformData: {
            about: "",
            privacy: "",
            register: "",
            serviceMobile: "",
        },
    },
    getters: {},
    mutations: {
        currentCateId(state, data) {
            state.currentCateId = data;
        },
        currentOrderTabIndex(state, data) {
            state.currentOrderTabIndex = data;
        },
        platformData(state, data) {
            state.platformData = data;
        }
    },
    actions: {
        async platformData(context, data) {
            await system.platformData().then(data => {
                context.commit('platformData', data);
            });
        }
    }
}
